Fedora-Linux.nl Forumindex Fedora-Linux.nl
Het forum van Fedora-Linux.nl.
Deze site wordt gehost door Exonet Internet Services
 
 FAQFAQ   ZoekenZoeken   GebruikerslijstGebruikerslijst   GebruikersgroepenGebruikersgroepen   RegistrerenRegistreren 
 ProfielProfiel   Log in om je privéberichten te bekijkenLog in om je privéberichten te bekijken   InloggenInloggen 

FC4 java install procedure

 
Dit subforum is gesloten. Het plaatsen of bewerken van berichten of onderwerpen is niet mogelijk.   Dit onderwerp is gesloten. Het plaatsen of bewerken van berichten is niet mogelijk.    Fedora-Linux.nl Forumindex -> Offtopic
Vorige onderwerp :: Volgende onderwerp  
Auteur Bericht
confruo



Geregistreerd op: 25 Jul 2005
Berichten: 148
Woonplaats: Arnhem

BerichtGeplaatst: Zo Aug 21, 2005 1:40 pm    Onderwerp: FC4 java install procedure Reageren met citaat

Toevallig valt mij op dat op fedorafaq.org, de installatie procedure voor JAVA ineens is veranderd van jre naar jdk, waar ze een rpm van maken en installeren. Vraag ik mij een beetje af, waarom een zoveel gebruikt platform dan niet gewoon standaard ergens op 1 of andere repo is gezet inmiddels.
Terug naar boven
Profiel bekijken Stuur privébericht
Thijs
Administrator


Geregistreerd op: 10 Feb 2005
Berichten: 1173
Woonplaats: Hengelo G.

BerichtGeplaatst: Zo Aug 21, 2005 2:11 pm    Onderwerp: Reageren met citaat

Dat is inderdaad wel raar.

In de Fedora Core 4 Release Notes wordt de RPM van JPackage aangeraden, maar voorzover ik weet zijn er alleen source-rpm's beschikbaar Confused .

Ik zal eens kijken of ik van de source (op http://www.jpackage.org/rpm.php?id=1816 ) een goede rpm kan maken.


Laatst aangepast door Thijs op Zo Aug 21, 2005 5:01 pm; in totaal 1 keer bewerkt
Terug naar boven
Profiel bekijken Stuur privébericht E-mail versturen Website bekijken MSN Messenger
Thijs
Administrator


Geregistreerd op: 10 Feb 2005
Berichten: 1173
Woonplaats: Hengelo G.

BerichtGeplaatst: Zo Aug 21, 2005 5:00 pm    Onderwerp: Reageren met citaat

Ik heb eens wat geprobeerd, en zie hier het resultaat:
http://www.fedora-linux.nl/rpms/fc4/java-1.4.2-gcj-compat-1.4.2.0-6jpp.noarch.rpm
http://www.fedora-linux.nl/rpms/fc4/java-1.4.2-gcj-compat-devel-1.4.2.0-6jpp.noarch.rpm

Het verbaast me dat ze zo klein zijn. Kan iemand testen of ze werken ?
Terug naar boven
Profiel bekijken Stuur privébericht E-mail versturen Website bekijken MSN Messenger
confruo



Geregistreerd op: 25 Jul 2005
Berichten: 148
Woonplaats: Arnhem

BerichtGeplaatst: Za Sep 03, 2005 3:37 pm    Onderwerp: Reageren met citaat

Eerst yum install gcc-java gedaan, dan de java rpm geinstalleerd, dan klaagt hij nog wat;
D: opening db index /var/lib/rpm/Basenames create mode=0x42
package java-1.4.2-gcj-compat-1.4.2.0-40jpp_31rh.FC4.1 (which is newer than java-1.4.2-gcj-compat-1.4.2.0-6jpp) is already installed
file /usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre/bin/java from install of java-1.4.2-gcj-compat-1.4.2.0-6jpp conflicts with file from package java-1.4.2-gcj-compat-1.4.2.0-40jpp_31rh.FC4.1
file /usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre/bin/rmiregistry from install of java-1.4.2-gcj-compat-1.4.2.0-6jpp conflicts with file from package java-1.4.2-gcj-compat-1.4.2.0-40jpp_31rh.FC4.1

En dan werkt bijvoorbeeld teletekst pagina nog niet.

Firefox afgesloten, en opnieuw gestart .. maakt ook niet uit. rpm is wel geinstalleerd.
rpm -qa |grep java
gcc-java-4.0.1-4.fc4

hmm, had ik die al ?!?
java-1.4.2-gcj-compat-1.4.2.0-40jpp_31rh.FC4.1

rpm dus toch niet geinstalleerd Sad, --nodeps proberen ?
Terug naar boven
Profiel bekijken Stuur privébericht
Berichten van afgelopen:   
Dit subforum is gesloten. Het plaatsen of bewerken van berichten of onderwerpen is niet mogelijk.   Dit onderwerp is gesloten. Het plaatsen of bewerken van berichten is niet mogelijk.    Fedora-Linux.nl Forumindex -> Offtopic Tijden zijn in GMT + 1 uur
Pagina 1 van 1

 
Ga naar:  
Je mag geen nieuwe onderwerpen plaatsen in dit subforum
Je mag geen reacties plaatsen in dit subforum
Je mag je berichten niet bewerken in dit subforum
Je mag je berichten niet verwijderen in dit subforum
Je mag niet stemmen in polls in dit subforum


Powered by phpBB © 2001, 2005 phpBB Group
Vertaling door Lennart Goosens.